> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Receipt

> Get a public, unauthenticated receipt for a payment, including charges, items, and tips.



## OpenAPI

````yaml get /billing/payment/{payment_id}/receipt
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/payment/{payment_id}/receipt:
    get:
      tags:
        - provider
        - billing
        - public
      summary: Get Receipt
      operationId: get_receipt_billing_payment__payment_id__receipt_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: payment_id
          in: path
          required: true
          schema:
            type: string
            title: Payment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentReceipt'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaymentReceipt:
      properties:
        id:
          type: string
          title: Id
        patient:
          $ref: '#/components/schemas/PublicPatient'
        amount:
          type: integer
          title: Amount
        charges:
          items:
            $ref: '#/components/schemas/PublicCharge'
          type: array
          title: Charges
        refunds:
          items:
            $ref: '#/components/schemas/RefundSummary'
          type: array
          title: Refunds
        createdDate:
          type: string
          format: date-time
          title: Createddate
        paymentMedium:
          type: string
          title: Paymentmedium
        paymentMethod:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodPublic'
            - type: 'null'
        feeToPatient:
          type: integer
          title: Feetopatient
        hasItems:
          type: boolean
          title: Hasitems
          default: false
        hasPackages:
          type: boolean
          title: Haspackages
          default: false
      type: object
      required:
        - id
        - patient
        - amount
        - charges
        - refunds
        - createdDate
        - paymentMedium
        - feeToPatient
      title: PaymentReceipt
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicPatient:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
      type: object
      required:
        - id
        - firstName
        - lastName
      title: PublicPatient
    PublicCharge:
      properties:
        id:
          type: string
          title: Id
        total:
          type: integer
          title: Total
        totalOutstanding:
          type: integer
          title: Totaloutstanding
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          $ref: '#/components/schemas/ChargeStatus'
        discountAmount:
          type: integer
          title: Discountamount
        discountPercentage:
          type: number
          title: Discountpercentage
        externalId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalid
        externalCreatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Externalcreateddate
        createdDate:
          type: string
          format: date-time
          title: Createddate
        ruleSetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Rulesetid
        tips:
          anyOf:
            - items:
                $ref: '#/components/schemas/TipDetail'
              type: array
            - type: 'null'
          title: Tips
        taxTotal:
          anyOf:
            - type: integer
            - type: 'null'
          title: Taxtotal
      type: object
      required:
        - id
        - total
        - totalOutstanding
        - status
        - discountAmount
        - discountPercentage
        - createdDate
      title: PublicCharge
    RefundSummary:
      properties:
        id:
          type: string
          title: Id
        paymentId:
          type: string
          title: Paymentid
        amount:
          type: integer
          title: Amount
        reason:
          $ref: '#/components/schemas/RefundReason'
        createdDate:
          type: string
          format: date-time
          title: Createddate
        status:
          $ref: '#/components/schemas/PaymentStatus'
        rainforestRefundId:
          anyOf:
            - type: string
            - type: 'null'
          title: Rainforestrefundid
        fee:
          type: integer
          title: Fee
          default: 0
      type: object
      required:
        - id
        - paymentId
        - amount
        - reason
        - createdDate
        - status
      title: RefundSummary
    PaymentMethodPublic:
      properties:
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        last4:
          anyOf:
            - type: string
            - type: 'null'
          title: Last4
        expMonth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expmonth
        expYear:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expyear
        accountHolderType:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholdertype
        accountNumberLast4:
          anyOf:
            - type: integer
            - type: 'null'
          title: Accountnumberlast4
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
        routingNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Routingnumber
        type:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodType'
            - type: 'null'
      type: object
      required:
        - brand
        - last4
        - expMonth
        - expYear
        - accountHolderType
        - accountNumberLast4
        - bankName
        - routingNumber
        - type
      title: PaymentMethodPublic
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ChargeStatus:
      type: string
      enum:
        - OUTSTANDING
        - PAID
        - EXTERNAL_SETTLEMENT
        - VOID
        - WRITE_OFF
        - REFUNDED
        - CHARGEBACK
        - PAYMENT_PLAN
        - COLLECTIONS
      title: ChargeStatus
    TipDetail:
      properties:
        chargeId:
          type: string
          title: Chargeid
          description: Charge ID this tip belongs to
        amount:
          type: integer
          title: Amount
          description: Tip amount in cents
        providerId:
          type: string
          title: Providerid
          description: Provider ID receiving the tip
        id:
          type: string
          title: Id
          description: Unique identifier for the tip
        provider:
          anyOf:
            - $ref: '#/components/schemas/ProviderTiny'
            - type: 'null'
          description: Provider receiving the tip
      type: object
      required:
        - chargeId
        - amount
        - providerId
      title: TipDetail
    RefundReason:
      type: string
      enum:
        - DUPLICATE
        - DISPUTE
        - BOOKING_FEE
        - OTHER
      title: RefundReason
    PaymentStatus:
      type: string
      enum:
        - CANCELED
        - CREATED
        - FAILED
        - IN_REVIEW
        - PRESENTING
        - PROCESSING
        - SUCCEEDED
      title: PaymentStatus
    PaymentMethodType:
      type: string
      enum:
        - CARD
        - ACH
        - APPLE_PAY
      title: PaymentMethodType
    ProviderTiny:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - firstName
      title: ProviderTiny

````